org.keycloak.adapters.tomcat7

## Class CatalinaRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.tomcat7.CatalinaRequestAuthenticator

-     public class CatalinaRequestAuthenticator
      extends RequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Davide Ungari

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.catalina.connector.Request` | `request`
    `protected CatalinaUserSessionManagement` | `userSessionManagement`
    `protected KeycloakAuthenticatorValve` | `valve`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, sslRedirectPort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalinaRequestAuthenticator(KeycloakDeployment deployment, KeycloakAuthenticatorValve valve, CatalinaUserSessionManagement userSessionManagement, CatalinaHttpFacade facade, org.apache.catalina.connector.Request request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `completeBearerAuthentication(KeycloakPrincipal principal, RefreshableKeycloakSecurityContext securityContext)`
    `protected void` | `completeOAuthAuthentication(KeycloakPrincipal skp, RefreshableKeycloakSecurityContext securityContext)`
    `protected OAuthRequestAuthenticator` | `createOAuthAuthenticator()`
    `protected Set<String>` | `getRolesFromToken(RefreshableKeycloakSecurityContext session)`
    `protected boolean` | `isCached()`
    `protected void` | `restoreRequest()`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBearerTokenAuthenticator, getChallenge, verifySSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valve

          protected KeycloakAuthenticatorValve valve

    - #### userSessionManagement

          protected CatalinaUserSessionManagement userSessionManagement

    - #### request

          protected org.apache.catalina.connector.Request request

  - ### Constructor Detail

    - #### CatalinaRequestAuthenticator

          public CatalinaRequestAuthenticator(KeycloakDeployment deployment,
                                      KeycloakAuthenticatorValve valve,
                                      CatalinaUserSessionManagement userSessionManagement,
                                      CatalinaHttpFacade facade,
                                      org.apache.catalina.connector.Request request)

  - ### Method Detail

    - #### createOAuthAuthenticator

          protected OAuthRequestAuthenticator createOAuthAuthenticator()

      Specified by:
        `createOAuthAuthenticator` in class `RequestAuthenticator`

    - #### completeOAuthAuthentication

          protected void completeOAuthAuthentication(KeycloakPrincipal skp,
                                         RefreshableKeycloakSecurityContext securityContext)

      Specified by:
        `completeOAuthAuthentication` in class `RequestAuthenticator`

    - #### completeBearerAuthentication

          protected void completeBearerAuthentication(KeycloakPrincipal principal,
                                          RefreshableKeycloakSecurityContext securityContext)

      Specified by:
        `completeBearerAuthentication` in class `RequestAuthenticator`

    - #### getRolesFromToken

          protected Set<String> getRolesFromToken(RefreshableKeycloakSecurityContext session)

    - #### isCached

          protected boolean isCached()

      Specified by:
        `isCached` in class `RequestAuthenticator`

    - #### restoreRequest

          protected void restoreRequest()

Copyright © 2014. All Rights Reserved.